curl --request PUT \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendors": [
{
"id": "<string>",
"name": "<string>",
"imageURL": "https://cdn.example.com/logos/9SiwYqqL8vdG.jpg",
"vendor_role": "admin",
"merchant_center_id": 1456723,
"globalId": "vendor_group_123"
}
]
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Upsert vendors.
curl --request PUT \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendors": [
{
"id": "<string>",
"name": "<string>",
"imageURL": "https://cdn.example.com/logos/9SiwYqqL8vdG.jpg",
"vendor_role": "admin",
"merchant_center_id": 1456723,
"globalId": "vendor_group_123"
}
]
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Create or replace one or more vendors in the catalog.
1 - 500 elementsShow child attributes
Successful Response
Was this page helpful?